<html>
<head>
<title>Graf.Acs</title>
</head>
<body>

<table border="1"> 
<tr><th>Date Disp.</th><th>Grafico delle temperature Sistema ACS</th><tr>

<tr>

<!-- Create the left column contents with the list dates logged  -->

<td valign="top">
<?php
	try {
		/*** connect to SQLite database ***/
		$dbh = new PDO("sqlite:/var/www/rotex.sqlite");

		/*** The SQL SELECT statement ***/
		$sql = "SELECT date FROM tabrps_acs GROUP BY date";

		foreach ($dbh->query($sql) as $row) {
			echo "<a href='?cmd=list&date=$row[date]'>$row[date]</a><br/>";
		}
		$dbh = null;
	}
	catch(PDOException $e)
	{
		echo $e->getMessage();
	}
?>
</td>


<?php
	if (isset($_GET["cmd"])) {
		if ($_GET["cmd"]=="list") {
		
						
			// Generates the tmp/data-acs.xml file that will be read by the FusionChart component	

			try {
			
				$handle = fopen("/tmp/data-acs.xml", "w");	
				/*** connect to SQLite database ***/
				$dbh = new PDO("sqlite:/var/www/rotex.sqlite");

				/*** The SQL SELECT statement ***/
				$sql = "SELECT * FROM tabrps_acs WHERE date LIKE '$_GET[date]%'";

				fprintf($handle,"<graph caption='Data del grafico ' xAxisName='Time' showNames='0' rotateNames='1' yAxisName='Temperature' yAxisminvalue='40' showValues='0' shadowAlpha='0' showAlternateHGridColor='1' decimalPrecision='1' formatNumberScale='0'>\n<categories>\n");
							
				foreach ($dbh->query($sql) as $row) {
					fprintf($handle,"<category name='" . substr($row['time'],0,5) . "' />\n");
				}
				fprintf($handle,"</categories>\n");

				fprintf($handle,"<dataset seriesName='Tsa solare' color='1D8BD1' showAnchors='1' anchorAlpha='0' lineThickness='1'>\n");				
				foreach ($dbh->query($sql) as $row) {
					fprintf($handle,"<set value='" . $row['Tsa'] . "' />\n");
				}
				fprintf($handle,"</dataset>\n");

				fprintf($handle,"<dataset seriesName='Ts1 Giulio' color='F1683C' showAnchors='0' anchorAlpha='0' lineThickness='1'>\n");				
				foreach ($dbh->query($sql) as $row) {
					fprintf($handle,"<set value='" . $row['Ts1'] . "' />\n");
				}
				fprintf($handle,"</dataset>\n");

				fprintf($handle,"<dataset seriesName='Ts2 Massimo' color='2AD62A' showAnchors='0' anchorAlpha='0' lineThickness='1'>\n");				
				foreach ($dbh->query($sql) as $row) {
					fprintf($handle,"<set value='" . $row['Ts2'] . "' />\n");
				}
				fprintf($handle,"</dataset>\n");

				fprintf($handle,"<dataset seriesName='R1 Giulio' color='00FFFF' showAnchors='0' anchorAlpha='0' lineThickness='1'>\n");				
				foreach ($dbh->query($sql) as $row) {
					fprintf($handle,"<set value='" . $row['R1']*20 . "' />\n");
				}
				fprintf($handle,"</dataset>\n");

				fprintf($handle,"<dataset seriesName='R2 Massimo' color='FF9933' showAnchors='0' anchorAlpha='0' lineThickness='1'>\n");				
				foreach ($dbh->query($sql) as $row) {
					fprintf($handle,"<set value='" . $row['R2']*20 . "' />\n");
				}
				fprintf($handle,"</dataset>\n");

				fprintf($handle,"</graph>\n");
				$dbh = null;
				fclose($handle);	
			}
			catch(PDOException $e)
			{
				echo $e->getMessage();
			}
			echo "</td>";

			echo "<td valign='top'>";

			// FusionChart component
			?>
 
			<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="640" height="500" id="Column3D" >
				<param name="movie" value="FusionCharts/Charts/FCF_MSLine.swf" />
				<param name="FlashVars" value="&dataURL=tmp/data-acs.xml&chartWidth=640&chartHeight=500">
				<param name="quality" value="high" />
				<embed src="FusionCharts/Charts/FCF_MSLine.swf" flashVars="&dataURL=tmp/data-acs.xml&chartWidth=640&chartHeight=500" quality="high" width="640" height="500" name="Column3D" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />
			</object>
			<?
			echo "</td>";
		}
	}
?>
</tr>
</table>
</body>
</html>


